Bug 153504 - [NEW PORT] sysutils/rubygem-chef: A systems integration framework. Client part
Summary: [NEW PORT] sysutils/rubygem-chef: A systems integration framework. Client part
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ruby (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-28 19:50 UTC by renchap
Modified: 2011-01-18 12:10 UTC (History)
0 users

See Also:


Attachments
rubygem-chef-0.9.12.shar (4.20 KB, text/plain)
2010-12-28 19:50 UTC, renchap
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description renchap 2010-12-28 19:50:08 UTC
Chef is a systems integration framework, built to bring the benefits of
configuration management to your entire infrastructure. With Chef, you can:

* Manage your servers by writing code, not by running commands.
* Integrate tightly with your applications, databases, LDAP directories, and
  more.
* Easily configure applications that require knowledge about your entire
  infrastructure ("What systems are running my application?" "What is the
  current master database server?")

WWW: http://wiki.opscode.com/display/chef/Home

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2010-12-28 19:50:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ruby

ruby@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 renchap 2011-01-02 20:38:46 UTC
Hi,

Some thoughts about this port :
- Maybe rename it as sysutils/chef ? Puppet, a similar tool, is
  packaged as sysutils/puppet, and chef is a tool, not really a gem
  used by other ruby programs.
- There is already a port named chef : misc/chef. It also provides the
  binary bin/chef, i dont know how to handle that.
Comment 3 dfilter service freebsd_committer 2011-01-18 12:00:41 UTC
wen         2011-01-18 12:00:11 UTC

  FreeBSD ports repository

  Modified files:
    sysutils             Makefile 
  Added files:
    sysutils/rubygem-chef Makefile distinfo pkg-descr 
    sysutils/rubygem-chef/files chef_client.in 
  Log:
  Chef is a systems integration framework, built to bring the benefits of
  configuration management to your entire infrastructure. With Chef, you can:
  
  * Manage your servers by writing code, not by running commands.
  * Integrate tightly with your applications, databases, LDAP directories, and
    more.
  * Easily configure applications that require knowledge about your entire
    infrastructure ("What systems are running my application?" "What is the
    current master database server?")
  
  WWW: http://wiki.opscode.com/display/chef/Home
  
  PR:             ports/153504
  Submitted by:   Renaud Chaput <renchap@cocoa-x.com>
  Feature safe:   yes
  
  Revision  Changes    Path
  1.1266    +1 -0      ports/sysutils/Makefile
  1.1       +43 -0     ports/sysutils/rubygem-chef/Makefile (new)
  1.1       +2 -0      ports/sysutils/rubygem-chef/distinfo (new)
  1.1       +48 -0     ports/sysutils/rubygem-chef/files/chef_client.in (new)
  1.1       +11 -0     ports/sysutils/rubygem-chef/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Wen Heping freebsd_committer 2011-01-18 12:01:48 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!